aboutsummaryrefslogtreecommitdiff
path: root/packages/linux_make/debian/pd-extended.postrm
diff options
context:
space:
mode:
Diffstat (limited to 'packages/linux_make/debian/pd-extended.postrm')
-rw-r--r--packages/linux_make/debian/pd-extended.postrm15
1 files changed, 15 insertions, 0 deletions
diff --git a/packages/linux_make/debian/pd-extended.postrm b/packages/linux_make/debian/pd-extended.postrm
new file mode 100644
index 00000000..84905c06
--- /dev/null
+++ b/packages/linux_make/debian/pd-extended.postrm
@@ -0,0 +1,15 @@
+#!/bin/sh
+# this was is stoled from audacity.postrm and audacity-data.postrm
+set -e
+
+if [ -x "`which update-menus 2>/dev/null`" ]; then update-menus ; fi
+
+if which update-mime >/dev/null 2>&1; then update-mime; fi
+
+if [ "$1" = "remove" ] && which update-desktop-database >/dev/null 2>&1 ; then
+ update-desktop-database -q
+fi
+
+if [ -x "`which update-mime-database 2>/dev/null`" ]; then
+ update-mime-database /usr/share/mime
+fi